=== debian/changelog ===
ros-eloquent-rviz-visual-testing-framework (7.0.7-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 02 Dec 2020 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (7.0.6-1bionic) bionic; urgency=high

  * Update maintainer list (#618 <https://github.com/ros2/rviz/issues/618>)
  * Contributors: Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 27 Oct 2020 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (7.0.5-1bionic) bionic; urgency=high



 -- William Woodall <william@openrobotics.org>  Fri, 17 Apr 2020 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (7.0.4-1bionic) bionic; urgency=high

  * Installed RViz configs for visual tests (#487 <https://github.com/ros2/rviz/issues/487>)
  * Contributors: Alejandro Hernández Cordero

 -- William Woodall <william@openrobotics.org>  Fri, 17 Jan 2020 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (7.0.3-1bionic) bionic; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (7.0.2-1bionic) bionic; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (7.0.1-1bionic) bionic; urgency=high



 -- William Woodall <william@openrobotics.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (7.0.0-1bionic) bionic; urgency=high

  * Fix typos in visual testing framework documentation (#416 <https://github.com/ros2/rviz/issues/416>)
  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Contributors: Hunter L. Allen, Jacob Perron

 -- William Woodall <william@openrobotics.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (6.1.1-1bionic) bionic; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (6.1.0-1bionic) bionic; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (6.0.0-1bionic) bionic; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (5.1.0-1bionic) bionic; urgency=high

  * Migrate scalar displays, i.e. temperature, illuminance, relative humidity, and fluid pressure (#367 <https://github.com/ros2/rviz/issues/367>)
  * Contributors: GW1708

 -- William Woodall <william@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (5.0.0-1bionic) bionic; urgency=high

  * Made the transformation framework used by rviz pluggable. (#346 <https://github.com/ros2/rviz/issues/346>)
  * Increased visual testing stability (#344 <https://github.com/ros2/rviz/issues/344>)
  * Minor cleanup and fixes (#336 <https://github.com/ros2/rviz/issues/336>)
    * Fix environment for colcon builds (no appends necessary)
    * Fix warning in visual_test_fixture.cpp and add -Werror option in CMakeLists.txt
    * Fix Qt moc warning for virtual signal
  * Changed to support uncrustify 0.67 (#333 <https://github.com/ros2/rviz/issues/333>)
    * fix closing block and tamplete indentation to comply with uncrustify 0.67
    * add space between reference and variable name
    * space before opening bracket
    * fix indend of inherited class
    * fix indent of code blocks
    * no space around -> operator
    * restore original spacing
  * Contributors: Andreas Greimel, Martin Idel, Mikael Arguedas

 -- William Woodall <william@openrobotics.org>  Tue, 04 Dec 2018 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (4.0.1-1bionic) bionic; urgency=high

  * Add Qt dependency to testing packages. (#330 <https://github.com/ros2/rviz/issues/330>)
  * Contributors: Steven! Ragnarök

 -- William Woodall <william@openrobotics.org>  Thu, 28 Jun 2018 00:00:00 -0000

ros-eloquent-rviz-visual-testing-framework (4.0.0-1bionic) bionic; urgency=high

  * Fixed some failing tests. (#299 <https://github.com/ros2/rviz/issues/299>)
    * Fixed moved include files.
    * Fixed problem with TF visual test on Windows.
  * Finished point cloud refactoring and testing. (#250 <https://github.com/ros2/rviz/issues/250>)
  * Improved visual testing framework and added more visual tests. (#259 <https://github.com/ros2/rviz/issues/259>)
  * Generalized the visual testing post build command (#244 <https://github.com/ros2/rviz/issues/244>)
  * Introduced visual testing framework for rviz. (#209 <https://github.com/ros2/rviz/issues/209>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Martin Idel

 -- William Woodall <william@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000
